<ion-content [fullscreen]="true" [scrollEvents]="true">
    <div id="container" class="mt-32" [ngClass]="cartItemsNo>0 ? 'md:mt-60' : 'md:mt-48'">
        <!-- <div class="h-16 md:h-20">
        </div>
        <div class=" px-3 md:px-0">
            <div class="flex items-center justify-center">
                <div class="text-center title">
                    <div class="tr-bg w-full h-full flex flex-column"></div>
                    <div class="bl-bg w-full h-full flex flex-column"></div>
                    <h1 class="text-center w-full m-0 font-medium">
                        Thông tin cá nhân
                    </h1>
                </div>

            </div>
            <div class="flex items-center justify-center">
                <div class="routing w-1/2 flex">
                    <a
                        routerLink="../my-account/edit-profile"
                        (click)="clickProfile()"
                        mat-list-item
                    >
                        <h5 [class]="profileSelected ? 'selected' : ''">
                            THÔNG TIN
                        </h5>
                    </a>
                    <h5>&nbsp;|&nbsp;</h5>
                    <a
                        routerLink="../my-account/profile-address"
                        (click)="clickAddress()"
                        mat-list-item
                    >
                        <h5 [class]="addressSelected ? 'selected' : ''">
                           ĐỊA CHỈ
                        </h5>
                    </a>
                </div>

            </div>
            <router-outlet></router-outlet>

        </div>
        <app-footer></app-footer>
        <div class="fixed bottom-20 md:bottom-24 md:right-9 right-5 z-50" onclick="location.href='tel:+84878879959';">
            <img [src]="'assets/image/telephone.svg'" class="cursor-pointer md:h-12 md:w-12 h-10 w-10" alt="messenger">
        </div>
        <div class="fixed bottom-5 md:bottom-7 md:right-9 right-5 z-50" onclick=" window.open('https://m.me/ABHomeDecoration')">
            <img [src]="'assets/image/messenger.svg'" class="cursor-pointer md:h-12 md:w-12 h-10 w-10" alt="messenger">
        </div> -->
        <div class="text-center text-3xl md:text-4xl font-medium px-4 md:px-0 mb-6 mt-10 capitalize">
            Thông tin tài khoản
        </div>
        <div class="container mx-auto">
            <mat-tab-group mat-align-tabs="center" #tabGroup dynamicHeight animationDuration="0ms"
            [(selectedIndex)]="selectedTabIndex" (selectedTabChange)="onTabChanged($event)">
                <mat-tab label="Thông tin tài khoản">
                    <cos-frontend-edit-profile></cos-frontend-edit-profile>
                </mat-tab>
                <mat-tab label="Thay đổi mật khẩu">
                    <cos-frontend-change-password></cos-frontend-change-password>
                </mat-tab>
                
                <mat-tab label="Lịch sử đơn hàng" style="overflow-y: hidden !important;">
                    <cos-frontend-order-history [orders]="orders"></cos-frontend-order-history>
                </mat-tab>
                <mat-tab label="Địa chỉ giao hàng">
                    <cos-frontend-profile-address [addressList]="addressList"></cos-frontend-profile-address>
                </mat-tab>
                <mat-tab label="Điểm thưởng" class="min-h-550">
                    <cos-frontend-ranking></cos-frontend-ranking>
                </mat-tab>
            </mat-tab-group>
        </div>

        <app-footer></app-footer>
        <!-- <div class="fixed bottom-20 md:bottom-24 md:right-9 right-5 z-50" onclick="location.href='tel:+84878879959';">
            <img [src]="'assets/image/telephone.svg'" class="cursor-pointer md:h-12 md:w-12 h-10 w-10" alt="messenger">
        </div>
        <div class="fixed bottom-5 md:bottom-7 md:right-9 right-5 z-50" onclick=" window.open('https://m.me/ABHomeDecoration')">
            <img [src]="'assets/image/messenger.svg'" class="cursor-pointer md:h-12 md:w-12 h-10 w-10" alt="messenger">
        </div> -->
    </div>
</ion-content>

